## stellarium 0.15.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)

IF(NOT ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 3.0))
    CMAKE_POLICY(SET CMP0050 OLD)
    # silently ignore errors in add_dependency():
    CMAKE_POLICY(SET CMP0046 OLD)
ENDIF()

# just avoid a warning mess. 
IF(NOT ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" LESS 3.0.2))
    CMAKE_POLICY(SET CMP0043 OLD)
ENDIF()

IF(NOT ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" LESS 3.1.3))
    CMAKE_POLICY(SET CMP0054 OLD)
ENDIF()

########### Project name ###########
PROJECT(Stellarium)
# Use integer versions instead of strings for easier handling if required
SET(STELLARIUM_MAJOR 0)
SET(STELLARIUM_MINOR 15)
SET(STELLARIUM_PATCH 0)
ADD_DEFINITIONS(
-DSTELLARIUM_MAJOR=${STELLARIUM_MAJOR}
-DSTELLARIUM_MINOR=${STELLARIUM_MINOR}
-DSTELLARIUM_PATCH=${STELLARIUM_PATCH}
)
SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
SET(PACKAGE stellarium)
SET(COPYRIGHT_YEARS "2000-2016")

SET(PACKAGE_VERSION "${VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DCOPYRIGHT_YEARS="${COPYRIGHT_YEARS}")

SET(MINIMAL_QT_VERSION "5.3.0")

# Use customized cmake macros
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

########### Main global variables ###########
IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug GProf Valgrind Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

SET(STELLARIUM_RELEASE_BUILD 1 CACHE BOOL "Set 1 to build as an official release (0 for development snapshots).")
IF(STELLARIUM_RELEASE_BUILD)
     ADD_DEFINITIONS(-DSTELLARIUM_RELEASE_BUILD)
ENDIF()

# GZ I had seen that some releases (e.g. 0.13.3 Ubuntu/ARM) were not compiled with NDEBUG defined. Maybe a bug in compilatation setup? 
# Hint from http://public.kitware.com/Bug/view.php?id=14292. Actually fixed with CMake 2.8.12, but maybe we have other effects?
if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
    ADD_DEFINITIONS(-DQT_NO_DEBUG -DNDEBUG)
endif()

# Use ccache if possible
find_program(CCACHE_PROGRAM ccache)
if(CCACHE_PROGRAM)
    MESSAGE(STATUS "Found ccache ${CCACHE_PROGRAM}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}")
endif()

# Add gprof build options if necessary.  Note gmon.out will be created in working directory when Stellarium is executed
IF(${CMAKE_BUILD_TYPE} MATCHES "GProf")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs")
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
ENDIF()

# Add valgrind build options if necessary
IF(${CMAKE_BUILD_TYPE} MATCHES "Valgrind")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0 -g")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
ENDIF()

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    SET(APPLE 1)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUCC)
    IF(WIN32)
        # The stars structs rely on gnu gcc packing of bit-fields.
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mno-ms-bitfields")
    ENDIF()
    SET(GCC_VERSION "${CMAKE_CXX_COMPILER_VERSION}")
ELSE()
    SET(GCC_VERSION "0.0")
ENDIF()

# _USE_MATH_DEFINES enables use of math constants like M_PI,
# which are by default disabled in standard C++ mode (like std=c++11 instead of std=gnu11)
ADD_DEFINITIONS(-D_USE_MATH_DEFINES)

# flags shared for gcc-like compilers (also MinGW/Clang)
# Qt 5.7 requires C++11 support
SET(STEL_GCC_C_FLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-unused-result")
SET(STEL_GCC_CXX_FLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-unused-result")

SET(STELLARIUM_USE_CPP11 1 CACHE BOOL "Set whether to try using C++11 when compiling. Required for Qt >= 5.7")
IF(STELLARIUM_USE_CPP11)
    IF(NOT (CMAKE_VERSION VERSION_LESS 3.1.0))
        # Let CMake handle setting C++11 (since 3.1)
        SET(CMAKE_CXX_STANDARD 11)
    ELSE()
        # Add std=c++11 to gcc flags
        SET(STEL_GCC_CXX_FLAGS "-std=c++11 ${STEL_GCC_CXX_FLAGS}")
    ENDIF()

ENDIF()

IF(WIN32)
     IF(NOT MSVC)
          # MinGW requires enabling of exceptions, version number storage and MinGW-specific threading
          SET(STEL_MINGW_FLAGS "-fexceptions -fident -mthreads")
          SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${STEL_GCC_C_FLAGS} ${STEL_MINGW_FLAGS}")
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${STEL_GCC_CXX_FLAGS} ${STEL_MINGW_FLAGS}")
          # -mwindows generates a windows GUI app
          SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${STEL_MINGW_FLAGS} -mwindows")
     ELSE() # MSVC
          # NOMINMAX So that windows.h does not redefine min and max
          # _WINSOCKAPI_ Prevent window.s from including winsock.h
          ADD_DEFINITIONS(-DNOMINMAX -D_WINSOCKAPI_ /D_CRT_SECURE_NO_WARNINGS /wd4244 /wd4005 /wd4101 /wd4996 /wd4305 /wd4805)
     ENDIF()
ELSE()
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${STEL_GCC_C_FLAGS}")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${STEL_GCC_CXX_FLAGS}")
ENDIF()

# CMake 3.0.0 the CMAKE_<LANG>_COMPILER_ID value for Apple-provided Clang is now AppleClang
IF("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
     # using regular Clang or AppleClang
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wno-unused-private-field -Wno-uninitialized -Wno-tautological-constant-out-of-range-compare")
     # The cosmetic fix for Clang 3.4
     IF(${CMAKE_CXX_COMPILER_VERSION} VERSION_GREATER 3.3)
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-const-variable -Wno-unused-result")
     ENDIF()
ENDIF()

# FreeBSD-specific compiler flags
# resolve bug for FreeBSD/amd64 and NVIDIA proprietary drivers 
IF(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
     # Use -pthread compilation option to properly link to threading library
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
     IF(${GCC_VERSION} VERSION_GREATER 4.7)
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-local-typedefs")
     ENDIF()
ENDIF()

# best way to get to APPLE?
IF(APPLE)
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-common -Wall -Wextra")
     # using regular Clang or AppleClang
     IF("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
          SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-private-field -Wno-unknown-warning-option -Wno-unused-const-variable -Wno-unused-result")
     ENDIF()
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra -Wno-unused-parameter")

     # We support only 64 bits MacOSX
     SET(CMAKE_OSX_ARCHITECTURES "x86_64")
ENDIF()

# This activates Link Time Optimization on recent GCC
# Unfortunately, it also seems to break static plugins
# It's providing a 20% size reduction, and probably a faster code when activated
#SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -ffunction-sections -flto")
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -ffunction-sections -flto")
#SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--gc-sections -flto -ffunction-sections -fuse-linker-plugin")

########### Others ###########
# Activate translation
SET(ENABLE_NLS 1 CACHE BOOL "Define whether program translation should be supported.")
IF(ENABLE_NLS)
     ADD_DEFINITIONS(-DENABLE_NLS)
ENDIF()


# Activate media support
SET(ENABLE_MEDIA 1 CACHE BOOL "Define whether media support should be activated.")

SET(ENABLE_SCRIPTING 1 CACHE BOOL "Define whether scripting features should be activated.")
IF(ENABLE_SCRIPTING)
     # (De-)Activate the script edit console
     SET(ENABLE_SCRIPT_CONSOLE 1 CACHE BOOL "Define whether to build the script console feature.")
     IF(ENABLE_SCRIPT_CONSOLE)
          ADD_DEFINITIONS(-DENABLE_SCRIPT_CONSOLE)
     ENDIF()
ELSE()
     ADD_DEFINITIONS(-DDISABLE_SCRIPTING)
ENDIF()


SET(STELLARIUM_GUI_MODE Standard CACHE STRING "Choose the type of GUI to build, options are: Standard, None")

SET(GENERATE_PACKAGE_TARGET 1 CACHE BOOL "Set to 1 or true if you want to have make package target")

# On WIN32 we need to split the main binary into a small binary and a dll
# This is for allowing to link dynamic plug-ins afterward
# It does not seem to work with MSVC, so I disable it for the moment.
IF(WIN32 AND NOT MSVC)
     SET(GENERATE_STELMAINLIB 1)
ELSE()
     SET(GENERATE_STELMAINLIB 0)
ENDIF()

########### User Guide ###############
IF(EXISTS "${CMAKE_SOURCE_DIR}/guide/guide.pdf")
     MESSAGE(STATUS "Found Stellarium User Guide")
     INSTALL(FILES guide/guide.pdf DESTINATION share/${PACKAGE}/guide)
     SET(ISS_GUIDE "Name: \"{group}\\{cm:UserGuide}\"; Filename: \"{app}\\guide\\guide.pdf\"")
ELSE()
     SET(ISS_GUIDE "; No link to Stellarium User Guide")
ENDIF()

########### Plugin setup #############

SET(STELLARIUM_PLUGINS) # Global list of all the plugins.
MACRO(ADD_PLUGIN NAME DEFAULT)
     STRING(TOUPPER ${NAME} NAME_UP)
     SET(USE_PLUGIN_${NAME_UP} ${DEFAULT} CACHE BOOL "Define whether the ${NAME} plugin should be created.")
     SET(STELLARIUM_PLUGINS ${STELLARIUM_PLUGINS} ${NAME})
ENDMACRO()

#### demo plugins ####
ADD_PLUGIN(HelloStelModule 0)
ADD_PLUGIN(SimpleDrawLine 0)
#### work plugins ####
ADD_PLUGIN(AngleMeasure 1)
ADD_PLUGIN(ArchaeoLines 1)
ADD_PLUGIN(CompassMarks 1)
ADD_PLUGIN(Exoplanets 1)
ADD_PLUGIN(EquationOfTime 1)
ADD_PLUGIN(FOV 1)
ADD_PLUGIN(LogBook 0)
ADD_PLUGIN(MeteorShowers 1)
ADD_PLUGIN(NavStars 1)
ADD_PLUGIN(Novae 1)
ADD_PLUGIN(Observability 1)
ADD_PLUGIN(Oculars 1)
ADD_PLUGIN(PointerCoordinates 1)
ADD_PLUGIN(Pulsars 1)
ADD_PLUGIN(Quasars 1)
# SOCIS 2015:
ADD_PLUGIN(RemoteControl 1)
ADD_PLUGIN(RemoteSync 0)
ADD_PLUGIN(Satellites 1)
ADD_PLUGIN(Scenery3d 1)
ADD_PLUGIN(SolarSystemEditor 1)
ADD_PLUGIN(Supernovae 1)
ADD_PLUGIN(TextUserInterface 1)
ADD_PLUGIN(TelescopeControl 1)
ADD_PLUGIN(TimeZoneConfiguration 1)

########## Static plugins need to define includes and libraries
########## for the compilation of Stellarium itself

IF(USE_PLUGIN_LOGBOOK)
     SET(QT_USE_QTSQL TRUE) # For LogBook we also need SQL module
ENDIF()

# Custom target used to manage dependencies of stellarium -> Static plugins
# It is important that static plugins are compiled before stellarium main executable is linked
ADD_CUSTOM_TARGET(AllStaticPlugins ALL)

########### Find packages ###########
FIND_PACKAGE(Qt5Core REQUIRED)
GET_TARGET_PROPERTY(QMAKE_LOCATION Qt5::qmake LOCATION)
IF(${Qt5Core_VERSION_STRING} VERSION_LESS MINIMAL_QT_VERSION)
     MESSAGE(FATAL_ERROR "Found Qt5: ${QMAKE_LOCATION} (found unsuitable version \"${Qt5Core_VERSION_STRING}\", required is \"${MINIMAL_QT_VERSION}\")")
ELSE()
     MESSAGE(STATUS "Found Qt5: ${QMAKE_LOCATION} (found suitable version \"${Qt5Core_VERSION_STRING}\")")
ENDIF()
FIND_PACKAGE(Qt5Concurrent REQUIRED)
FIND_PACKAGE(Qt5Gui REQUIRED)
FIND_PACKAGE(Qt5Network REQUIRED)
FIND_PACKAGE(Qt5OpenGL REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)
FIND_PACKAGE(Qt5PrintSupport REQUIRED)
IF(USE_PLUGIN_TELESCOPECONTROL)
     FIND_PACKAGE(Qt5SerialPort REQUIRED)
ENDIF()
IF(WIN32)
     FIND_PACKAGE(Qt5Sql REQUIRED)
     FIND_PACKAGE(Qt5XmlPatterns REQUIRED)
ENDIF()


# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

IF(ENABLE_SCRIPTING)
    SET(QT_USE_QTSCRIPT TRUE)
    FIND_PACKAGE(Qt5Script REQUIRED)
    INCLUDE_DIRECTORIES(${Qt5Script_INCLUDE_DIRS})
ENDIF()
IF(ENABLE_MEDIA)
    ADD_DEFINITIONS(-DENABLE_MEDIA)
    FIND_PACKAGE(Qt5Multimedia REQUIRED)
    FIND_PACKAGE(Qt5MultimediaWidgets REQUIRED)
    INCLUDE_DIRECTORIES(${Qt5Multimedia_INCLUDE_DIRS})
    INCLUDE_DIRECTORIES(${Qt5MultimediaWidgets_INCLUDE_DIRS})
ENDIF()

# I add this test because on Windows with angle we should not link
# with OpenGL.  Maybe there is a better way to do that.
IF("${Qt5Gui_OPENGL_LIBRARIES}" MATCHES "opengl")
    FIND_PACKAGE(OpenGL REQUIRED)
ENDIF()
IF(NOT WIN32)
    FIND_PACKAGE(ZLIB)
ELSE()

=== data/CMakeLists.txt ===

########### install files ###############
INSTALL(FILES ssystem.ini ssystem_1000comets.ini base_locations.bin.gz DejaVuSans.ttf default_config.ini DejaVuSansMono.ttf iso639-1.utf8 iso3166-1-alpha-2.utf8 countryCodes.dat constellations_boundaries.dat DESTINATION share/${PACKAGE}/data)

########### splash target ##############
ADD_CUSTOM_TARGET(splash ALL)
SET(_splashFile splash.png)
SET(_splashDstFile ${CMAKE_CURRENT_BINARY_DIR}/${_splashFile})

IF(NOT STELLARIUM_RELEASE_BUILD)
	GET_FILENAME_COMPONENT(_splashSrcFile splash-gray.png ABSOLUTE)
ELSE()
	GET_FILENAME_COMPONENT(_splashSrcFile splash.png ABSOLUTE)
ENDIF()

ADD_CUSTOM_COMMAND(
	TARGET splash
	COMMAND ${CMAKE_COMMAND} -E copy ${_splashSrcFile} ${_splashDstFile}
)

########### icon target ###############
ADD_CUSTOM_TARGET(icon ALL)
IF(MACOSX)
	SET(_iconFile Icon.icns)
	IF(NOT STELLARIUM_RELEASE_BUILD)
		GET_FILENAME_COMPONENT(_iconSrcFile IconGray.icns ABSOLUTE)
	ELSE()
		GET_FILENAME_COMPONENT(_iconSrcFile Icon.icns ABSOLUTE)
	ENDIF()
ELSE()
	SET(_iconFile stellarium.ico)
	IF(NOT STELLARIUM_RELEASE_BUILD)
		GET_FILENAME_COMPONENT(_iconSrcFile stellarium-gray.ico ABSOLUTE)
	ELSE()
		GET_FILENAME_COMPONENT(_iconSrcFile stellarium.ico ABSOLUTE)
	ENDIF()	
ENDIF()

SET(_iconDstFile ${CMAKE_CURRENT_BINARY_DIR}/${_iconFile})
ADD_CUSTOM_COMMAND(
	TARGET icon
	COMMAND ${CMAKE_COMMAND} -E copy ${_iconSrcFile} ${_iconDstFile}
)

# install splash and icon
IF(MACOSX)
	INSTALL(FILES ${_iconDstFile} DESTINATION share RENAME ${_iconFile})
	INSTALL(FILES ${_splashDstFile} DESTINATION share/data RENAME ${_splashFile})
	INSTALL(FILES Info.plist PkgInfo DESTINATION .)
ELSE()
	INSTALL(FILES ${_iconDstFile} DESTINATION share/${PACKAGE}/data RENAME ${_iconFile})
	INSTALL(FILES ${_splashDstFile} DESTINATION share/${PACKAGE}/data RENAME ${_splashFile})
ENDIF()

# install Scenery3d shaders
IF(USE_PLUGIN_SCENERY3D)
INSTALL(DIRECTORY shaders/ DESTINATION share/${PACKAGE}/data/shaders FILES_MATCHING 
	PATTERN "s3d_*.vert" 
	PATTERN "s3d_*.geom" 
	PATTERN "s3d_*.frag")
ENDIF()

IF (BUILD_FOR_MAEMO)
	INSTALL(FILES maemo/stellarium.desktop DESTINATION /usr/share/applications/hildon)
	INSTALL(FILES maemo/stellarium.png DESTINATION /usr/share/icons/hicolor/48x48/apps)
ENDIF()

IF(UNIX AND NOT APPLE)
	INSTALL(FILES stellarium.desktop DESTINATION share/applications)
	INSTALL(FILES stellarium.xpm DESTINATION share/pixmaps)
	INSTALL(FILES stellarium.appdata.xml DESTINATION share/appdata)
	INSTALL(FILES icons/16x16/stellarium.png DESTINATION share/icons/hicolor/16x16/apps)
	INSTALL(FILES icons/32x32/stellarium.png DESTINATION share/icons/hicolor/32x32/apps)
	INSTALL(FILES icons/48x48/stellarium.png DESTINATION share/icons/hicolor/48x48/apps)
	INSTALL(FILES icons/64x64/stellarium.png DESTINATION share/icons/hicolor/64x64/apps)
	INSTALL(FILES icons/128x128/stellarium.png DESTINATION share/icons/hicolor/128x128/apps)
	INSTALL(FILES icons/256x256/stellarium.png DESTINATION share/icons/hicolor/256x256/apps)
	INSTALL(FILES icons/512x512/stellarium.png DESTINATION share/icons/hicolor/512x512/apps)
ENDIF()

=== po/CMakeLists.txt ===
# Special targets for translations:
#
# translations
#   Converts all PO files to GMO files. Note that it does *not* update
#   the PO files or the PO templates -- in fact, these files are never
#   updated automatically.
#
# generate-pot
#   Re-creates all POT files unconditionally.
#
# update-po
#   Updates all PO files unconditionally. Note that it takes care of
#   updating the POT files.
#
# translations-<DOMAIN>
# generate-pot-<DOMAIN>
# update-po-<DOMAIN>
#   Same as above, but only affect the files in the corresponding
#   po/<DOMAIN> directory. (DOMAIN is actually the base name of the POT
#   file in the subdirectory, but that should match the directory name
#   anyway.)

ADD_CUSTOM_TARGET(translations)

IF(NOT MSVC)
     # These packages are now used only to generate .pot and .po files
     FIND_PACKAGE(Gettext)
     FIND_PACKAGE(XGettext)

     IF(${XGETTEXT_FOUND})
          ADD_CUSTOM_TARGET(generate-pot)
     ENDIF()

     IF(${GETTEXT_FOUND})
          ADD_CUSTOM_TARGET(update-po)
     ENDIF()
ENDIF()

FIND_PACKAGE(Qt5LinguistTools REQUIRED)
GET_TARGET_PROPERTY(lupdate_executable Qt5::lupdate IMPORTED_LOCATION)
GET_FILENAME_COMPONENT(qtbindirectory ${lupdate_executable} PATH)
SET(lconvert_executable "${qtbindirectory}/lconvert")

# Creates translations directory if it doesn't exist
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/translations)

# GETTEXT_CREATE_TRANSLATIONS(domain [DEFAULT_TARGET] lang1 ... langN)
#
# Creates custom build rules to create and install (G)MO files for the
# specified languages. If the DEFAULT_TARGET option is used, the
# translations will also be created when building the default target.
#
# "domain" is the translation domain, eg. "stellarium". A POT file
# with the name ${domain}.pot must exist in the directory of the
# CMakeLists.txt file invoking the macro.
#
# This macro also creates the "translations-${domain}" and
# "update-po-${domain}" targets (see above for an explanation).
#
MACRO(GETTEXT_CREATE_TRANSLATIONS _domain _firstLang)

     file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/translations/${_domain})

     SET(_gmoFiles)
     GET_FILENAME_COMPONENT(_absPotFile ${_domain}.pot ABSOLUTE)

     IF(${GETTEXT_FOUND})
          # Update these PO files when building the "update-po-<DOMAIN>" and
          # "update-po" targets.
          ADD_CUSTOM_TARGET(update-po-${_domain})
          ADD_DEPENDENCIES(update-po update-po-${_domain})

          # Make sure the POT file is updated before updating the PO files.
          ADD_DEPENDENCIES(update-po-${_domain} generate-pot-${_domain})
     ENDIF()

     SET(_addToAll)
     IF(${_firstLang} STREQUAL "DEFAULT_TARGET")
          SET(_addToAll "ALL")
          SET(_firstLang)
     ENDIF(${_firstLang} STREQUAL "DEFAULT_TARGET")

     FOREACH (_lang ${ARGN})
          GET_FILENAME_COMPONENT(_absFile ${_lang}.po ABSOLUTE)
          FILE(RELATIVE_PATH _relFile ${PROJECT_SOURCE_DIR} ${_absFile})
          SET(_gmoFile ${CMAKE_BINARY_DIR}/translations/${_domain}/${_lang}.qm)

          # Convert a PO file into a qm file.
          ADD_CUSTOM_COMMAND(
               OUTPUT ${_gmoFile} 
               COMMAND ${lconvert_executable} -i ${_absFile} -o ${_gmoFile} 
               DEPENDS ${_absFile}
          )

          IF(${GETTEXT_MSGMERGE_EXECUTABLE})
               # Update the PO file unconditionally when building the
               # "update-po-<DOMAIN>" target. Note that to see the file being
               # processed, we have to run "cmake -E echo", because the
               # COMMENT is not displayed by cmake...
               ADD_CUSTOM_COMMAND(
                    TARGET update-po-${_domain}
                    POST_BUILD
                    COMMAND ${CMAKE_COMMAND} -E echo "** Updating ${_relFile}"
                    COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE}
                         --quiet --update -m --backup=none -s
                         ${_absFile} ${_absPotFile}
                    VERBATIM
               )
          ENDIF()

          INSTALL(FILES ${_gmoFile} DESTINATION share/${PACKAGE}/translations/${_domain}/)
          SET(_gmoFiles ${_gmoFiles} ${_gmoFile})

     ENDFOREACH (_lang)

     # Create the .qm files when building the "translations-<DOMAIN>" and
     # "translations" targets.
     ADD_CUSTOM_TARGET(translations-${_domain} ${_addToAll} DEPENDS ${_gmoFiles})
     ADD_DEPENDENCIES(translations translations-${_domain})

ENDMACRO(GETTEXT_CREATE_TRANSLATIONS )


ADD_SUBDIRECTORY(stellarium) 
ADD_SUBDIRECTORY(stellarium-skycultures) 
IF(USE_PLUGIN_REMOTECONTROL)
    ADD_SUBDIRECTORY(stellarium-remotecontrol)
ENDIF()

=== skycultures/CMakeLists.txt ===
ADD_SUBDIRECTORY( arabic )
ADD_SUBDIRECTORY( arabic_moon_stations )
ADD_SUBDIRECTORY( aztec )
ADD_SUBDIRECTORY( boorong )
ADD_SUBDIRECTORY( chinese )
ADD_SUBDIRECTORY( dakota )
ADD_SUBDIRECTORY( egyptian )
ADD_SUBDIRECTORY( inuit )
ADD_SUBDIRECTORY( indian )
ADD_SUBDIRECTORY( japanese_moon_stations )
ADD_SUBDIRECTORY( kamilaroi )
ADD_SUBDIRECTORY( korean )
ADD_SUBDIRECTORY( macedonian )
ADD_SUBDIRECTORY( maori )
ADD_SUBDIRECTORY( mongolian )
ADD_SUBDIRECTORY( navajo )
ADD_SUBDIRECTORY( norse )
ADD_SUBDIRECTORY( ojibwe )
ADD_SUBDIRECTORY( polynesian )
ADD_SUBDIRECTORY( romanian )
ADD_SUBDIRECTORY( sami )
ADD_SUBDIRECTORY( siberian )
ADD_SUBDIRECTORY( tongan )
ADD_SUBDIRECTORY( tukano )
ADD_SUBDIRECTORY( tupi )
ADD_SUBDIRECTORY( western )
ADD_SUBDIRECTORY( western_rey )

=== src/CMakeLists.txt ===
SET(glues_lib_SRCS
     core/external/glues_stel/source/glues_error.c
     core/external/glues_stel/source/glues_error.h
     core/external/glues_stel/source/glues.h
     core/external/glues_stel/source/libtess/dict.h
     core/external/glues_stel/source/libtess/dict.c
     core/external/glues_stel/source/libtess/dict-list.h
     core/external/glues_stel/source/libtess/geom.c
     core/external/glues_stel/source/libtess/geom.h
     core/external/glues_stel/source/libtess/memalloc.c
     core/external/glues_stel/source/libtess/memalloc.h
     core/external/glues_stel/source/libtess/mesh.c
     core/external/glues_stel/source/libtess/mesh.h
     core/external/glues_stel/source/libtess/normal.c
     core/external/glues_stel/source/libtess/normal.h
     core/external/glues_stel/source/libtess/priorityq.c
     core/external/glues_stel/source/libtess/priorityq.h
     core/external/glues_stel/source/libtess/priorityq-heap.h
     core/external/glues_stel/source/libtess/priorityq-heap.i
     core/external/glues_stel/source/libtess/priorityq-sort.h
     core/external/glues_stel/source/libtess/render.c
     core/external/glues_stel/source/libtess/render.h
     core/external/glues_stel/source/libtess/sweep.c
     core/external/glues_stel/source/libtess/sweep.h
     core/external/glues_stel/source/libtess/tess.c
     core/external/glues_stel/source/libtess/tess.h
     core/external/glues_stel/source/libtess/tessmono.c
     core/external/glues_stel/source/libtess/tessmono.h
)

SET(zlib_SRCS
     core/external/zlib/adler32.c
     core/external/zlib/compress.c
     core/external/zlib/crc32.c
     core/external/zlib/crc32.h
     core/external/zlib/deflate.c
     core/external/zlib/deflate.h
     core/external/zlib/gzclose.c
     core/external/zlib/gzguts.h
     core/external/zlib/gzlib.c
     core/external/zlib/gzread.c
     core/external/zlib/gzwrite.c
     core/external/zlib/infback.c
     core/external/zlib/inffast.c
     core/external/zlib/inffast.h
     core/external/zlib/inffixed.h
     core/external/zlib/inflate.c
     core/external/zlib/inflate.h
     core/external/zlib/inftrees.c
     core/external/zlib/inftrees.h
     core/external/zlib/trees.c
     core/external/zlib/trees.h
     core/external/zlib/uncompr.c
     core/external/zlib/zconf.h
     core/external/zlib/zlib.h
     core/external/zlib/zutil.c
     core/external/zlib/zutil.h
)

SET(stellarium_lib_SRCS
     core/StelAudioMgr.hpp
     core/StelAudioMgr.cpp
     core/StelVideoMgr.hpp
     core/StelVideoMgr.cpp
     core/StelGeodesicGrid.cpp
     core/StelGeodesicGrid.hpp
     core/StelMovementMgr.cpp
     core/StelMovementMgr.hpp
     core/StelObserver.cpp
     core/StelObserver.hpp
     core/StelLocation.hpp
     core/StelLocation.cpp
     core/StelLocationMgr.hpp
     core/StelLocationMgr.cpp
     core/StelProjector.cpp
     core/StelProjector.hpp
     core/StelProjectorClasses.cpp
     core/StelProjectorClasses.hpp
     core/StelProjectorType.hpp
     core/StelSkyDrawer.cpp
     core/StelSkyDrawer.hpp
     core/StelPainter.hpp
     core/StelPainter.cpp
     core/MultiLevelJsonBase.hpp
     core/MultiLevelJsonBase.cpp
     core/StelSkyImageTile.hpp
     core/StelSkyImageTile.cpp
     core/StelSkyPolygon.hpp
     core/StelSkyPolygon.cpp
     core/SphericMirrorCalculator.cpp
     core/SphericMirrorCalculator.hpp
     core/StelApp.cpp
     core/StelApp.hpp
     core/StelCore.cpp
     core/StelCore.hpp
     core/StelFileMgr.cpp
     core/StelFileMgr.hpp
     core/StelLocaleMgr.cpp
     core/StelLocaleMgr.hpp
     core/StelModule.cpp
     core/StelModule.hpp
     core/StelModuleMgr.cpp
     core/StelModuleMgr.hpp
     core/StelObject.cpp
     core/StelObject.hpp
     core/StelObjectMgr.cpp
     core/StelObjectMgr.hpp
     core/StelObjectModule.cpp
     core/StelObjectModule.hpp
     core/StelObjectType.hpp
     core/StelOpenGL.cpp
     core/StelOpenGL.hpp
     core/StelPluginInterface.hpp
     core/StelRegionObject.hpp
     core/StelSkyCultureMgr.cpp
     core/StelSkyCultureMgr.hpp
     core/StelTextureMgr.cpp
     core/StelTextureMgr.hpp
     core/StelTexture.cpp
     core/StelTexture.hpp
     core/StelTextureTypes.hpp
     core/StelToneReproducer.cpp
     core/StelToneReproducer.hpp
     core/StelSkyLayerMgr.cpp
     core/StelSkyLayerMgr.hpp
     core/StelSkyLayer.hpp
     core/StelSkyLayer.cpp
     core/StelFader.hpp
     core/StelSphereGeometry.cpp
     core/StelSphereGeometry.hpp
     core/OctahedronPolygon.cpp
     core/OctahedronPolygon.hpp
     core/StelIniParser.cpp
     core/StelIniParser.hpp
     core/StelUtils.cpp
     core/StelUtils.hpp
     core/StelTranslator.cpp
     core/StelTranslator.hpp
     core/VecMath.hpp
     core/StelJsonParser.hpp
     core/StelJsonParser.cpp
     core/SimbadSearcher.hpp
     core/SimbadSearcher.cpp
     core/StelSphericalIndex.hpp
     core/StelSphericalIndex.cpp
     core/StelVertexArray.hpp
     core/StelVertexArray.cpp
     core/StelGuiBase.hpp
     core/StelGuiBase.cpp
     core/StelViewportEffect.hpp
     core/StelViewportEffect.cpp
     core/TrailGroup.hpp
     core/TrailGroup.cpp
     core/RefractionExtinction.hpp
     core/RefractionExtinction.cpp
     core/StelActionMgr.hpp
     core/StelActionMgr.cpp
     core/StelProgressController.hpp
     core/StelPropertyMgr.hpp
     core/StelPropertyMgr.cpp

     ${gl_lib_SRCS}

     ${glues_lib_SRCS}

     core/planetsephems/calc_interpolated_elements.c
     core/planetsephems/calc_interpolated_elements.h
     core/planetsephems/elliptic_to_rectangular.c
     core/planetsephems/elliptic_to_rectangular.h
     core/planetsephems/elp82b.c
     core/planetsephems/elp82b.h
     core/planetsephems/gust86.c
     core/planetsephems/gust86.h
     core/planetsephems/l1.c
     core/planetsephems/l1.h
     core/planetsephems/marssat.c
     core/planetsephems/marssat.h
     core/planetsephems/pluto.c
     core/planetsephems/pluto.h
     core/planetsephems/precession.c
     core/planetsephems/precession.h
     core/planetsephems/sidereal_time.c
     core/planetsephems/sidereal_time.h
     #core/planetsephems/stellplanet.c   # replaced by EphemWrapper during de430 work
     #core/planetsephems/stellplanet.h
     core/planetsephems/jpl_int.h
     core/planetsephems/jpleph.h
     core/planetsephems/jpleph.cpp
     core/planetsephems/EphemWrapper.cpp
     core/planetsephems/EphemWrapper.hpp

     core/planetsephems/tass17.c
     core/planetsephems/tass17.h
     core/planetsephems/vsop87.c
     core/planetsephems/vsop87.h
     core/planetsephems/de430.cpp
     core/planetsephems/de430.hpp
     core/planetsephems/de431.cpp
     core/planetsephems/de431.hpp

     core/modules/Atmosphere.cpp
     core/modules/Atmosphere.hpp
     core/modules/Constellation.cpp
     core/modules/Constellation.hpp
     core/modules/ConstellationMgr.cpp
     core/modules/ConstellationMgr.hpp
     core/modules/GridLinesMgr.cpp
     core/modules/GridLinesMgr.hpp
     core/modules/LabelMgr.hpp
     core/modules/LabelMgr.cpp
     core/modules/Landscape.cpp
     core/modules/Landscape.hpp
     core/modules/LandscapeMgr.cpp
     core/modules/LandscapeMgr.hpp
     core/modules/Meteor.cpp
     core/modules/Meteor.hpp
     core/modules/SporadicMeteor.cpp
     core/modules/SporadicMeteor.hpp
     core/modules/SporadicMeteorMgr.cpp
     core/modules/SporadicMeteorMgr.hpp
     core/modules/MilkyWay.cpp
     core/modules/MilkyWay.hpp
     core/modules/Nebula.cpp
     core/modules/Nebula.hpp
     core/modules/NebulaMgr.cpp
     core/modules/NebulaMgr.hpp
     core/modules/Orbit.cpp
     core/modules/Orbit.hpp
     core/modules/Planet.cpp
     core/modules/Planet.hpp
     core/modules/MinorPlanet.cpp
     core/modules/MinorPlanet.hpp
     core/modules/Comet.cpp
     core/modules/Comet.hpp
     core/modules/Skybright.cpp
     core/modules/Skybright.hpp
     core/modules/Skylight.cpp
     core/modules/Skylight.hpp
     core/modules/SolarSystem.cpp
     core/modules/SolarSystem.hpp
     core/modules/Solve.hpp
     core/modules/Star.cpp
     core/modules/Star.hpp
     core/modules/StarMgr.cpp
     core/modules/StarMgr.hpp
     core/modules/StarWrapper.cpp
     core/modules/StarWrapper.hpp
     core/modules/ZoneArray.cpp
     core/modules/ZodiacalLight.hpp
     core/modules/ZodiacalLight.cpp
     core/modules/ZoneArray.hpp
     core/modules/ZoneData.hpp
     StelMainView.hpp
     StelMainView.cpp
     StelLogger.hpp
     StelLogger.cpp
     CLIProcessor.hpp
     CLIProcessor.cpp
     translations.h
)

### CMake < 3.0 does not AUTOMOC Q_GADGET which some files use, so we have to manually add it
### Wrap it in an IF to prevent some linker warnings about symbols defined twice (on MSVC13 at least)
### Q_GADGET is required force the Qt MOC to run on some specific files,
### because they do not contain QObjects, but require a MOC for Q_FLAGS or similar
IF("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 3.0)
     QT5_WRAP_CPP(stellarium_lib_moc_SRCS
         core/StelObject.hpp
         core/StelRegionObject.hpp
         core/modules/Nebula.hpp
     )
     SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
          ${stellarium_lib_moc_SRCS}
     )
ENDIF()

SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
     core/external/qtcompress/qzip.cpp
     core/external/qtcompress/qzipreader.h
     core/external/qtcompress/qzipwriter.h
     core/external/qcustomplot/qcustomplot.cpp
     core/external/qcustomplot/qcustomplot.h
)

IF(ENABLE_SCRIPTING)
     SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
          scripting/StelScriptOutput.hpp
          scripting/StelScriptOutput.cpp
          scripting/StelScriptMgr.cpp
          scripting/StelScriptMgr.hpp
          scripting/ScreenImageMgr.hpp
          scripting/ScreenImageMgr.cpp
          scripting/StelMainScriptAPI.cpp
          scripting/StelMainScriptAPI.hpp
          scripting/StelMainScriptAPIProxy.cpp
          scripting/StelMainScriptAPIProxy.hpp
     )
ENDIF()

IF(WIN32)
     SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
          ${zlib_SRCS}
     )
ENDIF()

SET(stellarium_exe_SRCS main.cpp)

################# compiles resources files ############
SET(stellarium_RES ${CMAKE_SOURCE_DIR}/data/mainRes.qrc)
QT5_ADD_RESOURCES(stellarium_RES_CXX ${stellarium_RES})


#############################################################################################
############################# Standard GUI plugin compilation ###############################
#############################################################################################
IF(STELLARIUM_GUI_MODE STREQUAL "Standard")
     SET(stellarium_gui_SRCS
          gui/StelGui.hpp
          gui/StelGui.cpp
          gui/SkyGui.hpp
          gui/SkyGui.cpp
          gui/StelStyle.hpp
          gui/StelGuiItems.hpp
          gui/StelGuiItems.cpp
          gui/HelpDialog.hpp
          gui/HelpDialog.cpp
          gui/ShortcutLineEdit.hpp
          gui/ShortcutLineEdit.cpp
          gui/ShortcutsDialog.hpp
          gui/ShortcutsDialog.cpp
          gui/Dialog.hpp
          gui/Dialog.cpp
          gui/MapLabel.hpp
          gui/MapLabel.cpp
          gui/AngleSpinBox.hpp
          gui/AngleSpinBox.cpp
          gui/LocationDialog.hpp
          gui/LocationDialog.cpp
          gui/DateTimeDialog.hpp
          gui/DateTimeDialog.cpp
          gui/ViewDialog.hpp
          gui/ViewDialog.cpp
          gui/SearchDialog.hpp
          gui/SearchDialog.cpp
          gui/ConfigurationDialog.hpp
          gui/ConfigurationDialog.cpp
          gui/AddRemoveLandscapesDialog.hpp
          gui/AddRemoveLandscapesDialog.cpp
          gui/AtmosphereDialog.hpp
          gui/AtmosphereDialog.cpp
          gui/GreatRedSpotDialog.hpp
          gui/GreatRedSpotDialog.cpp
          gui/CustomDeltaTEquationDialog.hpp
          gui/CustomDeltaTEquationDialog.cpp
          gui/AstroCalcDialog.hpp
          gui/AstroCalcDialog.cpp
          gui/BookmarksDialog.hpp
          gui/BookmarksDialog.cpp
          gui/StelDialog.hpp
          gui/StelDialog_p.hpp
          gui/StelDialog.cpp
     )

=== nebulae/default/CMakeLists.txt ===

########### install files ###############

# install DSO catalog and textures
INSTALL(DIRECTORY ./ DESTINATION share/${PACKAGE}/nebulae/default 
	FILES_MATCHING 
	PATTERN "*.dat"
	PATTERN "*.png"
	PATTERN "*.json"
	PATTERN "CMakeFiles" EXCLUDE )

=== plugins/AngleMeasure/CMakeLists.txt ===
# This is the cmake config file for the AngleMeasure plugin
SET(ANGLEMEASURE_VERSION "0.4.4")
ADD_DEFINITIONS(-DANGLEMEASURE_VERSION="${ANGLEMEASURE_VERSION}")

ADD_SUBDIRECTORY( src )

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)
INSTALL(FILES DESTINATION "modules/AngleMeasure")

=== plugins/ArchaeoLines/CMakeLists.txt ===
# This is the cmake config file for the ArchaeoLines plugin
# Versions:
#0.1.3 adding azimuth lines
#0.1.4 adding geographic locations
#0.1.5 using the StelProperty system
SET(ARCHAEOLINES_VERSION "0.1.5")
ADD_DEFINITIONS(-DARCHAEOLINES_VERSION="${ARCHAEOLINES_VERSION}")

ADD_SUBDIRECTORY( src )

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)
INSTALL(FILES DESTINATION "modules/ArchaeoLines")

=== plugins/CompassMarks/CMakeLists.txt ===
# This is the cmake config file for the CompassMarks plugin
SET(COMPASSMARKS_VERSION "0.2.7")
ADD_DEFINITIONS(-DCOMPASSMARKS_VERSION="${COMPASSMARKS_VERSION}")

ADD_SUBDIRECTORY( src )

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)
INSTALL(FILES DESTINATION "modules/CompassMarks")

=== plugins/EquationOfTime/CMakeLists.txt ===
SET(EQUATIONOFTIME_MAJOR "0")
SET(EQUATIONOFTIME_MINOR "1")
SET(EQUATIONOFTIME_PATCH "3")
SET(EQUATIONOFTIME_VERSION "${EQUATIONOFTIME_MAJOR}.${EQUATIONOFTIME_MINOR}.${EQUATIONOFTIME_PATCH}")

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DEQUATIONOFTIME_PLUGIN_VERSION="${EQUATIONOFTIME_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/EquationOfTime")

=== plugins/Exoplanets/CMakeLists.txt ===
SET(EXOPLANETS_PLUGIN_MAJOR "0")
SET(EXOPLANETS_PLUGIN_MINOR "3")
SET(EXOPLANETS_PLUGIN_PATCH "1")
SET(EXOPLANETS_VERSION "${EXOPLANETS_PLUGIN_MAJOR}.${EXOPLANETS_PLUGIN_MINOR}.${EXOPLANETS_PLUGIN_PATCH}")

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DEXOPLANETS_PLUGIN_VERSION="${EXOPLANETS_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Exoplanets")

=== plugins/MeteorShowers/CMakeLists.txt ===
SET(METEORSHOWERS_MAJOR "2")
SET(METEORSHOWERS_MINOR "0")
SET(METEORSHOWERS_PATCH "1")
SET(METEORSHOWERS_VERSION "${METEORSHOWERS_MAJOR}.${METEORSHOWERS_MINOR}.${METEORSHOWERS_PATCH}")

IF(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
     SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DMETEORSHOWERS_PLUGIN_VERSION="${METEORSHOWERS_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/MeteorShowers")

=== debian/changelog ===
stellarium (0.15.0-1) unstable; urgency=medium

  * Imported Upstream version 0.15.0
  * Bumped standards version to 3.9.7 (no changes needed)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 31 Jul 2016 15:00:09 +0200

=== debian/control ===
Source: stellarium
Section: science
Priority: optional
Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               doxygen,
               libqt5opengl5-dev (>= 5.3),
               libqt5serialport5-dev (>= 5.3),
               mesa-common-dev,
               qtbase5-dev (>= 5.3),
               qtdeclarative5-dev (>= 5.3),
               qtdeclarative5-dev-tools (>= 5.3),
               qtmultimedia5-dev (>= 5.3),
               qtscript5-dev (>= 5.3),
               qttools5-dev (>= 5.3),
               qttools5-dev-tools (>= 5.3),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.stellarium.org
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/stellarium.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/stellarium.git

Package: stellarium
Architecture: any
Depends: stellarium-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: real-time photo-realistic sky generator
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 Some features:
  - default star catalogue with over 600 thousand stars,
  - information about the brightest stars (spectral type, distance, etc.),
  - downloadable star catalogue extensions, for up to 210 million stars,
  - all New General Catalogue (NGC) objects,
  - images of almost all Messier objects and the Milky Way,
  - real time positions of the planets and their satellites,
  - 13 different cultures with their constellations,
  - artistic illustrations of the 88 Western constellations,
  - very realistic atmosphere, sunrise and sunset,
  - 7 panoramic landscapes (more can be made or downloaded from the website),
  - scripting with ECMAScript,
  - plug-in support: Stellarium comes with 8 plug-ins by default, including:
  - artificial satellites plug-in (updated from an on-line TLE database),
  - ocular simulation plug-in (shows how objects look like in a given ocular),
  - Solar System editor plug-in (imports comet and asteroid data from the MPC),
  - telescope control plug-in (Meade LX200 and Celestron NexStar compatible).
 .
 Stellarium should not be used for very high accurate calculation or ephemerids
 like eclipse predictions. However, it is the ideal program to prepare an
 observation evening with naked eye, binocular, or small telescope.

Package: stellarium-data
Architecture: all
Recommends: stellarium (= ${source:Version})
Depends: fonts-dejavu-core (>= 2.33), ${misc:Depends}
Description: Stellarium data files
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 This package contains data files required by Stellarium. They include
 textures, star catalogues and translations.
